> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uplifthub.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Campaign Document



## OpenAPI

````yaml /openapi.json post /CampaignDocument
openapi: 3.0.0
info:
  title: V1
  description: ''
  version: '1'
servers:
  - url: https://app.uplifthub.io/P195_Exposed_Integrations/rest/V1
security:
  - ApiKeyAuth: []
tags:
  - name: Accounts
  - name: Campaigns
  - name: Line Items
  - name: Products
  - name: Documents
  - name: Source Markets
  - name: Reporting
  - name: System
paths:
  /CampaignDocument:
    post:
      tags:
        - Campaigns
      summary: Create Campaign Document
      operationId: CreateCampaignDocument
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCampaignDocument'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponseStructure'
components:
  schemas:
    CreateCampaignDocument:
      description: ''
      type: object
      properties:
        CampaignId:
          type: integer
          example: 1234567891234567
          format: int64
        Name:
          type: string
          default: ''
        DocumentTypeId:
          type: integer
          example: 1234567891234567
          format: int64
        FileURL:
          type: string
          default: ''
    GenericResponseStructure:
      description: ''
      type: object
      properties:
        Success:
          type: boolean
          example: false
        Message:
          type: string
          default: ''
        Id:
          type: integer
          example: 1234567891234567
          format: int64
        ExternalId:
          type: string
          default: ''
      required:
        - Success
        - Message
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-apikey

````